import { Route } from '@modules/geography/core/domain/route.types';
import { Waypoint } from '../../domain/value-objects/waypoint.value-object';

export interface RouteProviderPort {
  /**
   * Get a basic route with points and overall duration / distance
   */
  getBasic(waypoints: Waypoint[]): Promise<Route>;
}
