import { Geodesic } from '@modules/geography/infrastructure/geodesic';

describe('Matcher geodesic', () => {
  it('should be defined', () => {
    const geodesic: Geodesic = new Geodesic();
    expect(geodesic).toBeDefined();
  });
  it('should get inverse values', () => {
    const geodesic: Geodesic = new Geodesic();
    const inv = geodesic.inverse(0, 0, 1, 1);
    expect(Math.round(inv.azimuth as number)).toBe(45);
    expect(Math.round(inv.distance as number)).toBe(156900);
  });
});
